Valve ha rilasciato nei giorni scorsi alcune interessanti statistiche riguardanti la propria piattaforma Steam da pochi mesi disponibile in versione beta anche per Linux.
A pochi mesi dal rilascio della versione beta di Steam per Linux arrivano i primi dati che promettono bene per il futuro della piattaforma nel sistema operativo libero.
A quanto pare quasi l’1% dell’utenza totale di Steam sono utenti Linux, Ubuntu 12.10 64 bit è la distribuzione più utilizzata con il 0.29% a seguite Ubuntu 12.04 64 Bit con il 0.26%. Interessante anche il 0.71% degli “Other” che sono gli utenti che utilizzano Steam in altre distribuzioni Linux oppure “emulato” con Wine.

Tra le altre statistiche generali troviamo Intel HD Graphics 3000 come la scheda grafica più utilizzata, i principali pc hanno un processore Intel da 2.0 Ghz to 2.29 Ghz e 4 Gb di Ram.
Per conoscere in dettaglio tutte le statistiche della piattaforma Steam rilasciate da Valve basta consultare questa pagina.
  • Gabriele Ravanetti

    dopo aver installato i driver ati sulla Natty beta 1 non mi funzionava più nulla….ora ho appena finito l’aggiornamento alla 11.04 mi conviene installare questi driver?

    • se hai problemi con quelli di defalt ti consiglio di installare i nuovi driver
      ma se non hai problemi ti conviene lasciar tutto com’è

      • Presi i driver 11.4 64bit dal sito ati e installati come là descritto. Al termine del tutto non dimenticate di dare sudo /usr/bin/aticonfig –initial e poi riavviate. Io mi trovo molto bene. Ho sul notebook una ati hd 5650.

        • grazie per la segnalazione domani preparo il tutto

          • Tuxy81

            Ciao a tutti, ho un acer timelinex 4820tg con scheda video integrata del processore e una radeon 5470. ho installato ubuntu 11.04 64bit,ho seguito la tua guida ma purtroppo senza esito positivo.

            se imposto da bios switchable per le schede video,con installati i driver ati, unity mi dice che non può partire e mi trasferisce in modalità classica con gnome 2 e il control center installato ma non funzionante.se invece metto su discrete da bios nessun problema,unity si avvia e il control center funziona.

            se invece utilizzo i driver open in modalità switchable dopo aver selezionato da grub l’os ricevo solo una schermata nera e devo riavviare per forza.
            in modalità discrete invece nessun problema.

            nell’installazione del tuo pacchetto ho notato che alla fine mi da’ un errore alla fine perchè non ha potuto eliminare una cartella poichè non la trovata,e risalendo nel processo ho trovato che da anche un errore ad un certo punto con cd,in quanto non riesce a spostarsi in desktop.cosa ne pensi?

          • stiamo correggendo gli scipt purtroppo non avendo un pc con una ati64bit abbiamo perso più tempo nelle correzioni oggi massimo domani troverai il nuovo script nell’articolo non ti preoccupare
            grazie comunque per la segnalazione

          • Tuxy81

            purtroppo credo che il problema sia da attribuire ad un’incoaptibilità con la gpu integrata del processore poichè se avvio in discrete non vi sono problemi mentre in switchable non vedo altro che una schermata nera

  • Gianmarco

    installandoli dal software addizionale di ubuntu è lo stesso ??

    • installandoli da ubuntu avrai la versione precedente
      il mio consiglio è di installare i driver da ubuntu se poi ti danno problemi installa i nuovi 11.4

      • Gianmarco

        uhmm capisco… e un’altra cosa… lo script va bene anche per la versione a 64bit ?

  • Gio

    AMD la adoro per tanti motivi ma come supporto linux era penosa…speriamo che questo aggiornamento sia solo il primo.

    • e lo so un mio collega dice
      amd / ati / xp per giocare
      intel / nvidia / linux per il resto

      e mi sà che ha ragione io con nvidia non ho mai avuto problemi (da ubuntu 8.04)

  • matteob

    è possibile provare a installarli sulla live persistente? prima di fare danni sul pc, preferirei vedere che effetto fa sulla chiavetta…

    • se hai la distro installata su chiavetta in modalità persistente lo puoi testare senza problemi da live cd invece no

  • Enrico

    ciao, ho lanciato il comando che hai proposto ma dopo la procedura di installazione la versione catalist mi resta 10.8, purtroppo non sono molto ferrato e non saprei come risolvere

    http://img197.imageshack.us/img197/3585/atisz.png

    • quando hai installato ti ha chiesto la password?
      molto probabile che l’hai inserita errata
      e ricordati che al termine dell’installazione devi riavviare la distribuzione

      • Enrico

        Si, mi ha chiesto la password. Ho rifatto tutta la procedura, sembra che l’installazione proceda regolarmente ma dopo il riavvio resta sempre alla versione 10.8

  • Ciaramella Pasquale

    io ho optato per la modalità aggiornamento e nulla non riesco far partire KDE, dopo l’installazione ho provato con qualsiasi comando, ma nulla… Consigli?

  • _artem_

    lol that’s my screenshot :))))

  • provato lo script in tutte le maniere su 11.04 64bit ma nulla da fare,non funge.

    • io ho testato su 2 pc con 32 bit e dovrebbe andare anche su 64 bit
      per esser sicuri stasera o domani pomeriggio lo testo su un 64 bit e poi ti so dire

      • Gabriele Ravanetti

        Ho provato 2 volte ma durante la configurazione da errore e non si installa nulla…mi ha anche cancellato alcuni pacchetti dei driver open che ho dovuto rimettere

  • gracias!! desde chile!!

  • Tuxy81

    tornato alla 10.10 visti i vari problemi che ci sono al momento con la 11.04.
    ho seguito la procedura e riavviato al termine….ora non ho più l’interfaccia grafica XD
    idee?

    • dovresti spiegarti meglio hai installato 11.04 e poi tornato a 10.10
      e poi hai installato i driver
      avevi installato i driver precedenti prima?

      • Tuxy81

        installato sia tramite quelli consigliati da ubuntu sia con il tuo script,sia su 11.04 sia su 10.10. niente da fare,una volta che li installo posso usufruire del pc solo se impostato da bios su discrete. infatti sto reinstallando la 10.10 nuovamente dato che anche togliendoli non risolvo.

        • sei uno dei tanti che ha problemi con ati in 11.04
          l’unica è sterare che risolvano i problemi ma se è come per le versioni precedenti mi sa che devi aspettare ottobre

          • Tuxy81

            vorrà dire che ripiegherò nuovamente su vgaswitchero per poter salvare questa fantastica batteria dal collasso XD peccato però perchè su windows è davvero comodo il fatto che gestisca tutto in automatico.

  • Ciao, molto utile lo script, grazie, l’unica cosa, e non è un appunto ma un feedback, è che ho dovuto procedere all’installazione preventiva delle dipendenze per portare a termine l’installazione. Però ora funziona e mi ha corretto i difetti di visualizzazione.

    • mi potresti indicare le dipendenza che hai caricato?

      • Ti indico volentieri cosa ho installato:

        [code]sudo apt-get install build-essential fakeroot dh-make libstdc++6 gcc-4.4-base dkms module-assistant linux-headers-$(uname -r)[/code]

        Tratto dal forum di Ubuntu, la guida che praticamente ho sempre seguito per anni e che mi ha sempre dato ottimi risultati, a questo link: http://forum.ubuntu-it.org/index.php/topic,155477.0.html

        Senza quelle dipendenze mi ritornavano diversi errori in terminale, ed alla fine era impossibile portare a termine l’installazione. Ho provato 2 volte, ma alla fine il terminal emi diceva appunto che mancavano delle dipendenze. Premetto che era una Natty pulita appena installata ed aggiornata che non mi permetteva di installare i driver proprietari attraverso l’utility classica. Qui mi rispondeva che il driver non era sicuro perché non certificato (o qualcosa del genere) e mi bloccava l’operazione.

        Con i driver open sullo schermo rimanevano delle linee colorate per traverso, problema che riscontrai in LMDE a gennaio e corretto con i driver proprietari.

        E’ un notebook con una HD serie 4xxx integrata e mi sembra che funzioni piuttosto bene, anche con youtube in HD a tutto schermo.

        Mi pare di aver detto tutto.

        • grazie x la segnalazione è che sto cercando di correggere lo script e purtroppo non disponendo di pc con ati 64bit devo far testare in giro
          grazie ancora

          • Di nulla figurati. L’unico problema che devo correggere è causato dal surriscaldamento della sk video e dalle ventole che producono trombe d’aria in cucina. Un po’ è colpa del notebook ed un po’ di ubuntu.

          • penso che sia colpa di unity e il nuovo kernel che al posto di migliorare è nettamente peggiorato alla faccia di che ha sbandierato ai 4 venti la super patch…

          • Nel mio caso devo dire che da diverse release riscontro questo problema. Credo che il netbook non sia progettato correttamente, è un Pavilion DV6 1110el (mi pare), soltanto con Mint Debian Ed. era silenzioso. Ovviamente aveva altri problemi, per i quali ho preferito installare ancora Ubuntu (non uso io quel notebook). Vedrò di trovare una soluzione.

          • questo purtroppo è un problema già segnalato non solo da te ma anche da altri utenti

  • Rozelnox

    siete grandiosi!!

    • grazie x i complimenti

      • Dduck

        Aggiungo qui, sulla falsariga degli script del blog, lo script che ho preparato a partire dai tuoi, per Lucid, chiamandolo ati-driver-11 .5_lucid.sh:

        cd ~/Desktop
        sudo wget http://www2.ati.com/drivers/linux/ati-driver-installer-11-5-x86.x86_64.run
        sudo chmod +x ./ati-driver-installer-11-5-x86.x86_64.run
        sudo ./ati-driver-installer-11-5-x86.x86_64.run –buildpkg Ubuntu/lucid
        sudo dpkg -i fglrx-modaliases* fglrx-dev_* fglrx-amdcccle_* fglrx_*.deb
        cd ~/Desktop
        sudo rm fglrx-modaliases_*
        sudo rm fglrx-dev_*
        sudo rm fglrx-amdcccle_*
        sudo rm fglrx_*
        sudo rm fglrx-installer_*
        sudo rm ati-driver-installer-11-5-x86.x86_64.run

        A me, personalmente, gli 11.4 non si sono installati correttamente (facendo crashare il mio Lucid ed obbligandomi a riconfigurare la grafica con i tool di ripristino -quelli che si presentano alla partenza quando qualcosa va storto, per intenderci) e quindi ho provato a vedere se, modificando il tuo script per Lucid ed adattandolo, avessi potuto installare gli 11.5. Ce l’ho fatta (GRAZIE!!!!!) e quindi te li propongo e sottopongo.

        Ciao

  • plejim

    ciao a tutti, scusate l’ignoranza… io ho ubuntu 11.04 aggiornato da 10.10… dopo aver dato il comando wget http://dl.dropbox.com/u/964512/lffl_ati/ati-driver-11.4_natty.sh mi si ferma a Salvataggio in: “ati-driver-11.4_natty.sh.2”

    100%[======================================>] 475 –.-K/s in 0s

    2011-05-04 11:00:01 (40,7 MB/s) – “ati-driver-11.4_natty.sh.2” salvato [475/475]

    come posso fare per procedere nell’installazione? grazie in anticipo!

    • perchè ne gai salvati 2 controlla nella tua home e vedrai che hai 2 file ati-driver-11.4_natty.sh

      • plejim

        ok adesso ce nè uno… come devo procedere?

      • plejim

        adesso sto proseguendo cn il secondo comando… mi ha chiesto la pass… vi farò sapere

      • plejim

        sono arrivato quì
        Si sono verificati degli errori nell’elaborazione:
        fglrx-modaliases*
        cd: 6: can’t cd to /home/******/Desktop
        rm: impossibile rimuovere “fglrx-modaliases_*”: File o directory non esistente

        come procedere?? grazie mille..

        • ma hai ubuntu 11.04?

          • plejim

            sìsì, l’ho aggiornato due giorni fa..

          • plejim

            quindi com edovrei procedere?

  • FabioB

    Ciao Roberto,
    assolutamente grandiosa l’idea di proporre script di installazione invece delle solite righe di codice e copia/incolla/spiega etc etc che si trovano nelle solite guide….un solo commento: grande Roberto!!!

    Devo comunque riportarti anch’io un paio di bug nello script che ho usato io ( quello per ubuntu 11.04 natty )

    Lo script ha un paio di righe con la dicitura: cd ~/Desktop
    Io sulla mia distro (e credo tutti quelli che hanno installato con il “language” italiano) non ho “Desktop” ma “Scrivania” comunque poco male, l’ho corretto e ho proseguito.

    Lo script poi non risolve la dipendenza del pacchetto [dkms] il terminale mi ha avvisato della mancata dipendenza e l’ho installato a mano prima di riavviare, altrimenti non configura nessun modulo di fglrx e probabilmente al riavvio il server grafico non sarebbe partito.

    Il modulo fglrx-modaliases non viene installato e il terminale lo dice, ho ravanato un pò su google e launchpad e sembra che è stato sostitutito da qualcos’altro (non posso essere più preciso perchè non ho controllato per bene, perdona la poca voglia)

    Comunque risolta la dipendenza di dkms e il cd ~/Scrivania sembra si sia installato utto perfettamente e senza nessun  altro problema al riavvio. Se ho un pò di tempo approfondisco il discorso su fglrx-modaliases e ti faccio sapere. (quando avevo la 8.10 questo pacchetto mi aveva devastato il server grafico un paio di volte perchè il relativo modulo non si era correttamente disinstallato dal kernel durante il passaggio dai driver open a quelli proprietari)

    Comunque ti ripeto: ottima iniziativa quella degli script già pronti, i miei complimenti, continua così.

  • FabioB

    PS: per i più smanettoni potete dare in un terminale il comando:

    aticonfig | less

    e vi verrà mostrato qualche centinaio di opzioni per configurare la vostra scheda ATI (molte di queste opzioni NON SONO ACCESSIBILI DAL CATALYST CONTROL CENTER)

    un paio di esempi utili da digitare nel terminale:

    aticonfig –adapter=0 –od-gettemperature

    con questo comando viene visualizzata la temperatura della GPU e con questo la velocità della ventola:

    aticonfig –pplib-cmd “get fanspeed 0”

    se uno di questi due comandi non funziona dovete generare nuovamente il file xorg.conf digitando in un terminale:

    sudo aticonfig –initial -f

    e riavviare.

No more articles